## ros-humble-geographic-info 1.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(geographic_info NONE)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-humble-geographic-info (1.0.5-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 27 Apr 2023 16:56:44 -0000

ros-humble-geographic-info (0.5.3-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 27 Mar 2018 07:00:00 -0000

ros-humble-geographic-info (0.5.2-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 07:00:00 -0000

ros-humble-geographic-info (0.5.1-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 07:00:00 -0000

ros-humble-geographic-info (0.5.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Apr 2017 07:00:00 -0000

ros-humble-geographic-info (0.4.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 18 Sep 2014 07:00:00 -0000

ros-humble-geographic-info (0.3.2-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 30 Aug 2014 07:00:00 -0000

ros-humble-geographic-info (0.3.1-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 03 Oct 2013 07:00:00 -0000

ros-humble-geographic-info (0.3.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 03 Aug 2013 07:00:00 -0000

ros-humble-geographic-info (0.2.1-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 13 Aug 2012 07:00:00 -0000

ros-humble-geographic-info (0.2.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 02 Jun 2012 07:00:00 -0000

ros-humble-geographic-info (0.1.0-1jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 10 Apr 2012 07:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-geographic-info//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-geographic-info 1.0.6

=== debian/changelog ===
ros-humble-geographic-info (1.0.6-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 30 Jul 2024 17:23:44 -0000

ros-humble-geographic-info (0.5.3-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 26 Mar 2018 16:00:00 -0000

ros-humble-geographic-info (0.5.2-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 14 Apr 2017 16:00:00 -0000

ros-humble-geographic-info (0.5.1-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 14 Apr 2017 16:00:00 -0000

ros-humble-geographic-info (0.5.0-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 06 Apr 2017 16:00:00 -0000

ros-humble-geographic-info (0.4.0-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 17 Sep 2014 16:00:00 -0000

ros-humble-geographic-info (0.3.2-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 29 Aug 2014 16:00:00 -0000

ros-humble-geographic-info (0.3.1-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 02 Oct 2013 16:00:00 -0000

ros-humble-geographic-info (0.3.0-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 02 Aug 2013 16:00:00 -0000

ros-humble-geographic-info (0.2.1-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 12 Aug 2012 16:00:00 -0000

ros-humble-geographic-info (0.2.0-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 01 Jun 2012 16:00:00 -0000

ros-humble-geographic-info (0.1.0-1bookworm) bookworm; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 09 Apr 2012 16:00:00 -0000

=== debian/control ===
Source: ros-humble-geographic-info
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-geodesy, ros-humble-geographic-msgs, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/geographic_info
Standards-Version: 3.9.2

Package: ros-humble-geographic-info
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geodesy, ros-humble-geographic-msgs, ros-humble-ros-workspace
Description: Geographic information metapackage.
 Not needed for wet packages, use only to resolve dry stack dependencies.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-geographic-info//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-geographic-info//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-geographic-info//opt/ros/humble/opt/geographic_info/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
